package com.vendor.burn.ui;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.UploadOption;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Shell;

public class UploadOptionDialog extends Dialog {
  private UploadOption uploadOption = null;
  
  public UploadOptionDialog(Shell parentShell) {
    super(parentShell);
  }
  
  protected Control createDialogArea(Composite parent) {
    Composite composite = (Composite)super.createDialogArea(parent);
    Label label = new Label(composite, 0);
    label.setText(Messages.UploadOptionDialog_MessageToSelectTheDataType);
    Combo combo = new Combo(composite, 0);
    String[] descriptions = UploadOption.descriptions();
    combo.setItems(descriptions);
    combo.addListener(13, (Listener)new Object(this, combo));
    if (this.uploadOption != null) {
      String description = UploadOption.description(this.uploadOption);
      for (int index = 0; index < descriptions.length; index++) {
        if (descriptions[index].equals(description))
          combo.select(index); 
      } 
    } 
    return (Control)composite;
  }
  
  protected void configureShell(Shell newShell) {
    super.configureShell(newShell);
    newShell.setText(Messages.UploadOptionDialog_Title);
    newShell.layout();
  }
  
  public UploadOption getUploadOption() {
    return this.uploadOption;
  }
  
  public void setUploadOption(UploadOption uploadOption) {
    this.uploadOption = uploadOption;
  }
}
